# Plugin for CKEditor 5: 'WEBSPELLCHECKER' is not defined

#### Problem <a href="#pluginforckeditor5-webspellcheckerisnotdefined.-problem" id="pluginforckeditor5-webspellcheckerisnotdefined.-problem"></a>

You tried to integrate the WProofreader plugin for CKEditor 5: put the webspellchecker folder downloaded through NPM into the lib directory, then imported the wproofreader.js in your js where where you are initializing CKEditor 5. But as soon as you run the build, it gives you the error from the wproofreader.js.

Below is an example of such an error:

ESLintError in plugin "gulp-eslint"

Message:

'WEBSPELLCHECKER' is not defined.

Details:

fileName: C:\\...\\...\\...\\...\\...\\...\\...\src\lib\\@webspellchecker\wproofreader-ckeditor5\src\wproofreader.js

lineNumber: 221

domainEmitter: \[object Object]

domainThrown: false

#### Solution <a href="#pluginforckeditor5-webspellcheckerisnotdefined.-solution" id="pluginforckeditor5-webspellcheckerisnotdefined.-solution"></a>

The problem is with custom list of rules in your ESLint. We have a writing rule for such a case, but our [ESLint config](https://github.com/WebSpellChecker/wproofreader-ckeditor5/blob/master/.eslintrc.js#L16) is not included in the npm package. Thus, you have to modify your ESLint so that it does not throw such an error. For example, you can add the ignoring of the WEBSPELLCHECKER variable or ignoring such type of the errors in general.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.12.0/troubleshooting/client-side/plugin-for-ckeditor-5-webspellchecker-is-not-defined.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
